<?php
!function_exists('html') && exit('ERR');
if($step==2)
{
	if(!ereg("^[-a-zA-Z0-9_\.]+\@([0-9A-Za-z][0-9A-Za-z-]+\.)+[A-Za-z]{2,5}$",$email)) {
		showerr("郵箱不符合規則"); 
	}elseif(!$content){
		showerr("內容不能為空"); 
	}elseif(strlen($content)>3000){
		showerr("內容不能大于3000個字符"); 
	}
	$Title="來自“{$webdb[webname]}”的郵件,你朋友“{$myname}”給你推薦了一篇精彩文章!!";
	
	$rs[email]=$email;
	$Content=filtrate($content);
	$Content=str_replace("\n","<br>",$Content);

	if($webdb[MailType]=='smtp')
	{
		if(!$webdb[MailServer]||!$webdb[MailPort]||!$webdb[MailId]||!$webdb[MailPw])
		{
			showmsg("請管理員先設置郵件服務器");
		}
		require_once(PHP168_PATH."inc/class.mail.php");
		$smtp = new smtp($webdb[MailServer],$webdb[MailPort],true,$webdb[MailId],$webdb[MailPw]);
		$smtp->debug = false;

		if($smtp->sendmail($rs[email],$webdb[MailId], $Title, $Content, "HTML"))
		{
			$succeeNUM++;
		}
	}
	else
	{
		if(mail($rs[email], $Title, $Content))
		{
			$succeeNUM++;
		}
	}
	if($succeeNUM)
	{
		refreshto("./","恭喜你，郵件succeed發出!",5);
	}
	else
	{
		showerr("郵件發送失敗，可能你郵箱地址有誤,或者是服務器發送郵件*-*能有問題！！");
	}
}

$erp=get_id_table($id);
$rsdb=$db->get_one("SELECT * FROM {$pre}article$erp WHERE aid='$id'");
if(!$id){
	showerr("數據不存在");
}
require(PHP168_PATH."inc/head.php");
require(html("recommend"));
require(PHP168_PATH."inc/foot.php");
?>